Bug 523549 - GDM GUI broken when disable_user_list is set to true
GDM GUI broken when disable_user_list is set to true
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F13Target
  Show dependency treegraph
 
Reported: 2009-09-15 18:08 EDT by Jack Neely
Modified: 2015-01-14 18:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 587794 (view as bug list)
Environment:
Last Closed: 2010-06-28 10:40:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Neely 2009-09-15 18:08:03 EDT
Description of problem:
With disable_user_list set to true the GDM Greeter stares rather blankly at the user with

   "Other..."

selected.  The user needs to press Enter to get to the Username: prompt.

However, if a user doesn't hit Enter and just starts typing, a box gladly pops up and the keyboard input appears there.  Type in your full user ID and hit enter and the box goes away and the Greeter continues to blankly stare back at the user.  This is confusing.

Also, perhaps "Other..." could be a different text that helps the user know what to do rather than just type in their user ID.  Perhaps "Network login" or "Other login" or "Login with username"

Version-Release number of selected component (if applicable):
gdm-2.26.1-13.fc11
Comment 1 Christopher Beland 2010-02-23 03:52:38 EST
Indeed, if the user list is suppressed, the whole step of graphically selecting an "Other" username can be skipped, and the greeter can go directly to the "Username:" prompt stage.
Comment 2 Jack Neely 2010-02-23 11:10:22 EST
I would like to make sure this issue is addressed for the upcoming RHEL 6 as well.
Comment 3 Christopher Beland 2010-02-23 14:44:42 EST
OK, nominating as a priority fix.
Comment 4 Bug Zapper 2010-04-28 06:23:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 10:40:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.